Delete data source by ID
curl --request DELETE \
--url https://wmc.wiremockapi.cloud/v1/data-sources/{dataSourceId} \
--header 'Authorization: <api-key>'import requests
url = "https://wmc.wiremockapi.cloud/v1/data-sources/{dataSourceId}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://wmc.wiremockapi.cloud/v1/data-sources/{dataSourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": [
{
"title": "Invalid query parameter format",
"detail": "The offset parameter value must be a positive integer"
}
]
}"Credentials are required to access this resource."{
"errors": [
{
"title": "Forbidden",
"source": {}
}
]
}{
"code": 404,
"message": "HTTP 404 Not Found"
}{
"errors": [
{
"title": "Invalid JSON",
"detail": "json pointer /mockApi not present; it is required and must have json type object",
"source": {}
}
]
}Data sources
Delete data source by ID
DELETE
/
v1
/
data-sources
/
{dataSourceId}
Delete data source by ID
⌘I